#include <stdio.h>
int main ()
{
int n,c1,c2,c3,sr,min,max,rez;
scanf("%d",&n);
if (n<100 || n>999) //Proveravamo da li je broj trocifren, istovremeno i da li je manji od 0
  printf("-1");
else{
max=0;
min=9;
sr=-1;
c1=n%10;    //Izdvajamo sve cifre iz broja, c1-jedinice, c2-desetice, c3-stotine
c2=(n/10)%10;
c3=n/100;

if (c1>max)   //Trazimo najvecu cifru u broju
  max=c1;
if (c2>max)
  max=c2;
if (c3>max)
  max=c3;

if(c1<min) //Trazimo najmanju cifru u broju
  min=c1;
if(c2<min)
  min=c2;
if(c3<min)
  min=c3;
while (n>0){         //Trazimo cifru koja nije ni maksimum ni minimum (srednja)
  if (n%10!=min){
    if(n%10!=max)
      sr=n%10;
  }
  
  n/=10;
}
if (sr==-1){       //Ukoliko ima vise istih minimuma ili maksimuma onda je i srednja cifra ista toj cifri, jer treca koja nije min ili max mora da bude ili > ili < od te cifre koja se ponavlja
  if (c1==c2 || c1==c3)
    sr=c1;
  else if (c2==c3)
    sr=c2;
}
  rez=min*100+sr*10+max;   //Rezultat je najmanji kada je najmanja cifra prva potom srednja pa najveca
  printf("%d",rez);
}
}